Hands In Docs
APIV1

Create an item

POST
/items

Create an item by supplying the correct parameters.

Authorization

AuthorizationBearer <token>

Merchant JWT bearer token

In: header

Scope: items.create

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/items" \  -H "Content-Type: application/json" \  -d '{    "amountMoney": {      "amount": 100,      "currency": "AED"    },    "name": "string"  }'
{
  "metaData": {
    "property1": "string",
    "property2": "string"
  },
  "referenceId": "string",
  "description": "string",
  "imageUrls": [
    "https://www.randomurl.com"
  ],
  "attributes": {
    "size": "xs",
    "color": "blue"
  },
  "sku": "string",
  "amountMoney": {
    "amount": 100,
    "currency": "AED"
  },
  "name": "string",
  "id": "string"
}
{
  "http_status_code": 100,
  "moreInfo": "https://www.randomurl.com",
  "name": "string",
  "detail": "string",
  "instance": "/pets/dogs/123",
  "property1": null,
  "property2": null
}